Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type
Class Type

    java.lang.Object
      org.codehaus.xfire.aegis.type.Type

All Implemented Interfaces:
  SchemaType

Direct Known Subclasses:
  ArrayType, Base64Type, BeanType, BigDecimalType, BooleanType, CalendarType, DateTimeType, DateType, DocumentType, DoubleType, EnumType, FloatType, IntType, JaxbType, LongType, MapType, ShortType, StringType, TimestampType, TimeType, XmlBeansType, XOPType

    public abstract class Type

extends java.lang.Object
implements SchemaType

Type

Author:
  Dan Diephouse

Constructor Summary
`Type()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Set` | `getDependencies()` Return a set of Type dependencies.
`javax.xml.namespace.QName` | `getSchemaType()` The schema type that this SchemaType represents.
`java.lang.Class` | `getTypeClass()`
`TypeMapping` | `getTypeMapping()`
`int` | `hashCode()`
`boolean` | `isAbstract()` Whether or not this a complexType or a concrete element.
`boolean` | `isComplex()` Whether or not this a complex type.
`boolean` | `isNillable()`
`boolean` | `isWriteOuter()`
`abstract java.lang.Object` | `readObject(MessageReader reader, MessageContext context)`
`void` | `setAbstract(boolean abstrct)`
`void` | `setNillable(boolean nillable)`
`void` | `setSchemaType(javax.xml.namespace.QName name)`
`void` | `setTypeClass(java.lang.Class typeClass)`
`void` | `setTypeMapping(TypeMapping typeMapping)`
`abstract void` | `writeObject(java.lang.Object object, MessageWriter writer, MessageContext context)`
`void` | `writeSchema(org.codehaus.yom.Element root)` Write the type schema (if complex) to the element.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Type

    public Type()

Method Detail

### readObject

    public abstract java.lang.Object readObject(MessageReader reader,
                                                MessageContext context)
                                         throws XFireFault

  Throws:
    `XFireFault`

### writeObject

    public abstract void writeObject(java.lang.Object object,
                                     MessageWriter writer,
                                     MessageContext context)
                              throws XFireFault

  Throws:
    `XFireFault`

### writeSchema

    public void writeSchema(org.codehaus.yom.Element root)

  Description copied from interface: `SchemaType`
  Write the type schema (if complex) to the element.

  Specified by:
    `writeSchema` in interface `SchemaType`

### getTypeMapping

    public TypeMapping getTypeMapping()

  Returns:
    Returns the typeMapping.

### setTypeMapping

    public void setTypeMapping(TypeMapping typeMapping)

  Parameters:
    `typeMapping` - The typeMapping to set.

### getTypeClass

    public java.lang.Class getTypeClass()

  Returns:
    Returns the typeClass.

### setTypeClass

    public void setTypeClass(java.lang.Class typeClass)

  Parameters:
    `typeClass` - The typeClass to set.

### isComplex

    public boolean isComplex()

  Description copied from interface: `SchemaType`
  Whether or not this a complex type. If true then the schema for this type is written out.

  Specified by:
    `isComplex` in interface `SchemaType`
  Returns:
    True if a complex type schema must be written.

### isAbstract

    public boolean isAbstract()

  Description copied from interface: `SchemaType`
  Whether or not this a complexType or a concrete element.

  Specified by:
    `isAbstract` in interface `SchemaType`
  Returns:

### setAbstract

    public void setAbstract(boolean abstrct)

### isNillable

    public boolean isNillable()

### setNillable

    public void setNillable(boolean nillable)

### getDependencies

    public java.util.Set getDependencies()

  Return a set of Type dependencies. Returns null if this type has no dependencies.

  Specified by:
    `getDependencies` in interface `SchemaType`
  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getSchemaType

    public javax.xml.namespace.QName getSchemaType()

  Description copied from interface: `SchemaType`
  The schema type that this SchemaType represents.

  Specified by:
    `getSchemaType` in interface `SchemaType`
  Returns:
    Get the schema type.

### setSchemaType

    public void setSchemaType(javax.xml.namespace.QName name)

  Parameters:
    `name` - The qName to set.

### isWriteOuter

    public boolean isWriteOuter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.